<?php
/*
* THIS FILE HAVE SOME RESTRICTIONS. GET MORE INFO HERE: read-me.txt
*/

// START OF PLUGIN LICENSE RESTRICTIONS - GET MORE INFO HERE: read-me.txt
/**
* List all files on server
* @return string
* @param string $sFile
*/
function listFilesOnServer( $sFile ){
  $oTpl = TplParser::getInstance( );
  $oFFS = FlatFilesSerialize::getInstance( );
  $oFile = FilesAdmin::getInstance( );
  $content = null;

  $sSort = ( isset( $_GET['sSort'] ) && !empty( $_GET['sSort'] ) ) ? $_GET['sSort'] : 'name';
  $sFunction = 'sort';

  if( isset( $oFile->aFilesImages ) ){
    foreach( $oFile->aFilesImages as $iLink => $aValues ){
      foreach( $aValues as $aFile ){
        $aLinks[$iLink][$aFile['sFileName']] = true;
      } // end foreach
    } // end foreach
  }

  if( isset( $GLOBALS['sPhrase'] ) && !empty( $GLOBALS['sPhrase'] ) ){
    $aExp = explode( ' ', $GLOBALS['sPhrase'] );
    $iCount = count( $aExp );
    for( $i = 0; $i < $iCount; $i++ ){
      $aExp[$i] = trim( $aExp[$i] );
      if( !empty( $aExp[$i] ) )
        $aWords[] = $aExp[$i];
    } // end for
    $iCount = count( $aWords );
  }

  foreach( new DirectoryIterator( DIR_FILES ) as $oFileDir ){
    if( $oFileDir->isFile( ) && $oFileDir->getFilename( ) != '.htaccess' ){
      if( isset( $aWords ) ){
        $iFound = 0;
        $bOk = null;
        for( $i = 0; $i < $iCount; $i++ ){
          if( stristr( $oFileDir->getFilename( ), $aWords[$i] ) )
            $iFound++;
        } // end for

        if( $iFound == $iCount ){
          $bOk = true;
        }
      }
      else
        $bOk = true;

      if( isset( $bOk ) ){
        $aFiles[$oFileDir->getFilename( )] = Array( filemtime( DIR_FILES.$oFileDir->getFilename( ) ), filesize( DIR_FILES.$oFileDir->getFilename( ) ), ( isset( $aLinks[1][$oFileDir->getFilename( )] ) ? true : null ), ( isset( $aLinks[2][$oFileDir->getFilename( )] ) ? true : null ) );
        if( $sSort == 'modified' ){
          $aSort[] = Array( $aFiles[$oFileDir->getFilename( )][0], $oFileDir->getFilename( ) );
          $sFunction = 'rsort';
        }
        elseif( $sSort == 'size' ){
          $aSort[] = Array( $aFiles[$oFileDir->getFilename( )][1], $oFileDir->getFilename( ) );
          $sFunction = 'rsort';
        }
        elseif( $sSort == 'link1' ){
          $aSort[] = Array( isset( $aFiles[$oFileDir->getFilename( )][2] ) ? 1 : 0, $oFileDir->getFilename( ) );
        }
        elseif( $sSort == 'link2' ){
          $aSort[] = Array( isset( $aFiles[$oFileDir->getFilename( )][3] ) ? 1 : 0, $oFileDir->getFilename( ) );
        }
        else
          $aSort[] = Array( $oFileDir->getFilename( ), $oFileDir->getFilename( ) );
      }
    }
    else{
      if( is_numeric( $oFileDir->getFilename( ) ) ){
        $aDirs[] = $oFileDir->getFilename( );
      }
    }
  } // end foreach

  if( isset( $aFiles ) ){
    $sFunction( $aSort );
    if( isset( $aDirs ) ){
      sort( $aDirs );
      $iCountDirs = count( $aDirs );
    }

    $iCount = count( $aSort );
    $iList = ( $GLOBALS['config']['admin_list'] * 2 );

    $aKeys = countPageNumber( $iCount, ( isset( $_GET['iPage'] ) ? $_GET['iPage'] : null ), $iList );
    
    for( $i = $aKeys['iStart']; $i < $aKeys['iEnd']; $i++ ){
      $aFile = $aFiles[$aSort[$i][1]];
      $aData['sFileNameField'] = str_replace( '[', '((', str_replace( ']', '))', $aSort[$i][1] ) );
      $aData['sFileName'] = $aSort[$i][1];
      $aData['sModified'] = displayDate( $aFile[0] );
      $aData['sSize'] = ( $aFile[1] < 1024 ) ? $aFile[1].' B' : sprintf( '%01.2f', $aFile[1] / 1024 ).' KB';
      $aData['iStyle'] = ( $i % 2 ) ? 0: 1;

      if( isset( $aFile[2] ) )
        $oTpl->setIf( 'LINK1' );
      else
        $oTpl->setIf( 'NO-LINK1' );

      if( isset( $aFile[3] ) )
        $oTpl->setIf( 'LINK2' );
      else
        $oTpl->setIf( 'NO-LINK2' );

      $aData['iPhoto'] = ( $oFFS->checkCorrectFile( $aData['sFileName'], 'gif|jpg|png|jpeg' ) == true ) ? 1 : 0;
      $aData['sThumbDir'] = null;

      if( $aData['iPhoto'] == 1 && isset( $aDirs ) ){
        for( $i2 = 0; $i2 < $iCountDirs; $i2++ ){
          if( is_file( DIR_FILES.'/'.$aDirs[$i2].'/'.$aData['sFileName'] ) ){
            $aData['sThumbDir'] = $aDirs[$i2];
            break;
          }
        } // end for
        if( isset( $aData['sThumbDir'] ) )
          $oTpl->setIf( 'PREVIEW' );
        else
          $oTpl->setIf( 'NO-PREVIEW' );
      }
      else
        $oTpl->setIf( 'NO-PREVIEW' );

      $oTpl->setVariables( 'aData', $aData );
      $content .= $oTpl->tSubBlock( $sFile, 'FILES-ON-SERVER', 'LIST' );
    } // end for

    $aData['sPages'] = countPagesClassic( $iCount, $iList, $aKeys['iPageNumber'], changeUri( $_SERVER['REQUEST_URI'] ) );
    $oTpl->setVariables( 'aData', $aData );
    return $oTpl->tSubBlock( $sFile, 'FILES-ON-SERVER', 'LIST', 'head' ).$content.$oTpl->tSubBlock( $sFile, 'FILES-ON-SERVER', 'LIST', 'foot' );
  }  
} // end function listFilesOnServer

/**
* Change files name or delete them from server
* @return void
* @param array $aForm
*/
function saveFilesOnServer( $aForm ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $oFile = FilesAdmin::getInstance( );

  foreach( new DirectoryIterator( DIR_FILES ) as $oFileDir ){
    if( $oFileDir->isDir( ) && is_numeric( $oFileDir->getFilename( ) ) ){
      $aDirs[] = $oFileDir->getFilename( );
    }
  } // end foreach
  if( isset( $aForm['aFilesDelete'] ) ){
    foreach( $aForm['aFilesDelete'] as $sName => $iValue ){
      $sName = str_replace( '((', '[', str_replace( '))', ']', $sName ) );
      unlink( DIR_FILES.$sName );
      if( isset( $aDirs ) ){
        foreach( $aDirs as $sDir ){
          if( is_file( DIR_FILES.$sDir.'/'.$sName ) ){
            unlink( DIR_FILES.$sDir.'/'.$sName );
          }
        } // end foreach
      }
      $aDeleted[$sName] = true;
    } // end foreach
  }

  foreach( $aForm['aFilesName'] as $sNameOld => $sNameNew ){
    $sNameOld = str_replace( '((', '[', str_replace( '))', ']', $sNameOld ) );
    $sNameOldTrimmed = trim( $sNameOld );
    $sNameNew = trim( $sNameNew );
    if( !isset( $aDeleted[$sNameOld] ) && $sNameNew != $sNameOldTrimmed && !preg_match( '/(\.phtml|\.php|\.php3|\.php4|\.php5|\.php6|\.asp|\.aspx|\.py|\.pyc|\.jse|\.js|\.as|\.sh|\.ksh|\.zsh|\.bat|\.cmd|\.shs|\.vb|\.vbe|\.vbs|\.wsc|\.wsf|\.wsh|\.url|\.exe|\.msi|\.msp|\.htaccess|\.reg|\.scr|\.ocx)/i', $sNameNew ) ){
      $aChangeNames[$sNameOld] = $oFFS->checkIsFile( $sNameNew, DIR_FILES );
    }
  } // end foreach

  if( isset( $aChangeNames ) ){
    foreach( $aChangeNames as $sNameOld => $sNameNew ){
      rename( DIR_FILES.$sNameOld, DIR_FILES.$sNameNew );
      if( isset( $aDirs ) ){
        foreach( $aDirs as $sDir ){
          if( is_file( DIR_FILES.$sDir.'/'.$sNameOld ) ){
            rename( DIR_FILES.$sDir.'/'.$sNameOld, DIR_FILES.$sDir.'/'.$sNameNew );
          }
        } // end foreach
      }
    } // end foreach
  }

  if( isset( $aChangeNames ) || isset( $aDeleted ) ){
    foreach( new DirectoryIterator( DIR_LANG ) as $oFileDir ) {
      if( $oFileDir->isFile( ) && strstr( $oFileDir->getFileName( ), '.php' ) ){
        $aLangs[] = substr( $oFileDir->getFileName( ), 0, 2 );
      }
    } // end foreach

    foreach( $aLangs as $sLang ){
      $aDatabaseFiles = $oFile->throwDbNames( );
      foreach( $aDatabaseFiles as $iKey => $sFile ){
        if( !isset( $oFile->aFilesImages[$iKey] ) )
          $oFile->aFilesImages[$iKey] = null;
        $sFileName = str_replace( LANGUAGE.'_', $sLang.'_', $sFile );
        $aFiles = $oFFS->getData( $sFileName );
        if( is_array( $aFiles ) && count( $aFiles ) > 0 ){
          $bChanged = null;
          foreach( $aFiles as $iKey => $aData ){
            if( isset( $aDeleted[$aData['sFileName']] ) ){
              unset( $aFiles[$iKey] );
              $bChanged = true;
            }
            else{
              if( isset( $aChangeNames[$aData['sFileName']] ) ){
                $aFiles[$iKey]['sFileName'] = $aChangeNames[$aData['sFileName']];
                $bChanged = true;
              }
            }
          } // end foreach
          if( isset( $bChanged ) ){
            $oFFS->saveData( $sFileName, $aFiles );
          }
        }
      } // end foreach
    } // end foreach
  }
} // end function saveFilesOnServer

/**
* List of files in default "templates/" directory
* @return string
* @param string $sFile
* @param string $sDirectory
* @param string $sTemplate
*/
function listTemplates( $sFile, $sDirectory, $sTemplate = null ){
  $content = null;
  $oTpl = TplParser::getInstance( );
  $oFFS = FlatFilesSerialize::getInstance( );
  $aDirs = throwAllDataFromDir( $sDirectory );

  if( isset( $aDirs ) ){
    sort( $aDirs );
    $content = null;

    foreach( $aDirs as $aFiles ){
      if( isset( $aFiles ) && is_array( $aFiles ) ){
        $i = 0;
        foreach( $aFiles as $aData ){
          if( $i == 0 ){
            $oTpl->setIf( 'DIR' );
          }

          $aData['iStyle'] = ( $i % 2 ) ? 0: 1;
          $aData['sDirShort'] = basename( $aData['sDir'] ).'/';
          $aData['sDate'] = displayDate( $aData['iTime'] );
          
          if( $sTemplate == $aData['sDirShort'].$aData['sFileName'] )
            $oTpl->setIf( 'SELECTED' );

          $oTpl->setVariables( 'aData', $aData );
          $content .= $oTpl->tSubBlock( $sFile, 'FILES', 'LIST' );      
          $i++;
        } // end foreach
      }
    } // end foreach

    if( isset( $content ) )
      return $oTpl->tSubBlock( $sFile, 'FILES', 'LIST', 'head' ).$content.$oTpl->tSubBlock( $sFile, 'FILES', 'LIST', 'foot' );
  }
} // end function listTemplates

/**
* Return content of template
* @return string
* @param string $sFileName
*/
function editTemplate( $sFileName ){
  return htmlspecialchars( file_get_contents( $sFileName ) );
} // end function editTemplate

/**
* Save content of template
* @return void
* @param string $sDir
* @param array  $aForm
*/
function saveTemplate( $sDir, $aForm ){
  $aForm['sTemplate'] = $sDir.$aForm['sTemplate'];
  if( is_file( $aForm['sTemplate'] ) && is_writeable( $aForm['sTemplate'] ) ){
    $rFile = fopen( $aForm['sTemplate'], 'w' );
    fwrite( $rFile, stripslashes( $aForm['sContent'] ) );
    fclose( $rFile );
  }
} // end function saveTemplate

/**
* Return all files and directories from dir
* @return array
* @param string $sDir
* @param int $iDepth
* @param bool $bOnlyDirs
*/
function throwAllDataFromDir( $sDir, $iDepth = 0, $bOnlyDirs = null ){
  $oFFS = FlatFilesSerialize::getInstance( );

  foreach( new DirectoryIterator( $sDir ) as $oFileDir ){
    if( $oFileDir->isDir( ) && !strstr( $oFileDir->getFilename( ), '.' ) && $oFileDir->getFilename( ) != 'admin' && $iDepth < 1 ){
      if( isset( $bOnlyDirs ) )
        $aDirs[$sDir.$oFileDir->getFilename( ).'/'] = $sDir.$oFileDir->getFilename( ).'/';
      else
        $aFiles[$sDir.$oFileDir->getFilename( )] = throwAllDataFromDir( $sDir.$oFileDir->getFilename( ).'/', $iDepth + 1 );
    }

    if( !isset( $bOnlyDirs ) ){
      if( $oFileDir->isFile( ) && $oFFS->checkCorrectFile( $oFileDir->getFilename( ), $GLOBALS['config']['template_editor_extensions'] ) ){
        $aFiles[$oFileDir->getFilename( )]['sExt'] = $oFFS->throwExtOfFile( $oFileDir->getFilename( ) );
        $aFiles[$oFileDir->getFilename( )]['sFileName'] = $oFileDir->getFilename( );
        $aFiles[$oFileDir->getFilename( )]['iTime'] = $oFileDir->getMTime( );
        $aFiles[$oFileDir->getFilename( )]['sDir'] = $sDir;
      }
    }
  } // end foreach
  if( isset( $aDirs ) )
    return $aDirs;
  if( isset( $aFiles ) )
    return $aFiles;
} // end function throwAllDataFromDir

/**
* Get file with fixes and upgrade script
* @return string
* @param string $sFileTemplate
* @param string $sFileBugFixes
*/
function getBugFixes( $sFileTemplate, $sFileBugFixes ){
  $oTpl = TplParser::getInstance( );

  $sAdd = strstr( $sFileBugFixes, '?' ) ? '&' : '?';
  $sFile = file_get_contents( $sFileBugFixes.$sAdd.'sUrl='.$_SERVER['HTTP_HOST'].'&sVersion='.$GLOBALS['config']['version'] );
  if( !empty( $sFile ) ){
    if( $sFile != 'null' ){
      $aExp = explode( '----------------------------------------------------', $sFile );
      $iCount = count( $aExp );
      $sVersionActual = trim( $aExp[0] );

      $i2 = 0;
      for( $i = 1; $i < $iCount; $i++ ){
        $aExpFiles = explode( '--------------------------', $aExp[$i] );
        $aExpInfo = explode( '$', trim( $aExpFiles[0] ) );
        $aChange[$i2] = $aExpFiles;
        $aInfo[$i2] = Array( 'sVersion' => $aExpInfo[0], 'iId' => $aExpInfo[1], 'sBugDescription' => $aExpInfo[2] );
        $i2++;
      } // end for

      if( isset( $aChange ) ){
        $content = null;
        $iStyle = 0;
        foreach( $aChange as $iKey => $aValue ){
          if( !strstr( $aValue[1], 'STEPS' ) ){
            $iCount = count( $aValue );
            $iOk = 0;
            for( $i = 1; $i < $iCount; $i++ ){
              $aExpCommands = explode( '-------------'."\r\n", $aValue[$i] );
   
              $mReturn = checkFileToUpgrade( trim( $aExpCommands[0] ), rtrim( $aExpCommands[1] ), rtrim( $aExpCommands[2] ) );
              if( isset( $mReturn ) ){
                if( $mReturn === -1 ){
                  break;
                }
                else
                  $iOk++;
              }
            } // end for
            $bSteps = null;
          }
          else{
            $bSteps = true;
          }


          if( isset( $bSteps ) ){
            $aData['sStatus'] = $GLOBALS['lang']['Cant_check'];
          }
          else{
            if( $iOk == ( $iCount - 1 ) ){
              $aData['sStatus'] = $GLOBALS['lang']['Fixed'];
            }
            else{
              if( $iOk > 0 ){
                $aData['sStatus'] = $GLOBALS['lang']['Uncompleted'];
              }
              else{
                $aData['sStatus'] = '<b>'.$GLOBALS['lang']['Fix_it'].'</b>';
              }
            }        
          }

          $aData['iStyle'] = ( $iStyle % 2 ) ? 0: 1;
          $aData['iBug'] = $aInfo[$iKey]['iId'];
          $aData = array_merge( $aData, $aInfo[$iKey] );
          $oTpl->setVariables( 'aData', $aData );
          $content .= $oTpl->tSubBlock( $sFileTemplate, 'FIXES', 'LIST' );
          $iStyle++;
        }
      }

      if( isset( $content ) )
        return $oTpl->tSubBlock( $sFileTemplate, 'FIXES', 'LIST', 'head' ).$content.$oTpl->tSubBlock( $sFileTemplate, 'FIXES', 'LIST', 'foot' );
    }
    else{
      return $oTpl->tBlock( 'messages.tpl', 'DONE' );  
    }
  }
  else{
    return $oTpl->tBlock( $sFileTemplate, 'NO_FILE' );
  }
} // end function getBugFixes

/**
* Upgrades data in file
* @return mixed
* @param string $sFile
* @param string $sFind
* @param string $sReplace
*/
function checkFileToUpgrade( $sFile, $sFind, $sReplace ){
  if( is_file( $sFile ) ){
    $sContent = file_get_contents( $sFile );
    if( !empty( $sReplace ) ){
      if( ( strstr( $sContent, $sReplace ) || strstr( $sContent, str_replace( "\r", "", $sReplace ) ) ) ){
        return true;
      }
      else{
        return -1;
      }    
    }
    else{
      if( !strstr( $sContent, $sFind ) && !strstr( $sContent, str_replace( "\r", "", $sFind ) ) ){
        return true;
      }
      else{
        return -1;
      }
    }
  }

  return null;
} // end function checkFileToUpgrade

/**
* Save short link to database
* @return void
* @param string $sName
* @param int $iLink
* @param int $iType
*/
function saveShortLink( $sName, $iLink, $iType ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aShortLinks = $oFFS->getData( DB_LINKS, true );
  
  if( isset( $aShortLinks ) && is_array( $aShortLinks ) && count( $aShortLinks ) > 0 ){
    foreach( $aShortLinks as $sKey => $aValue ){
      if( $iType == $aValue['iType'] && $aValue['sLang'] == LANGUAGE && $aValue['iLink'] == $iLink ){
        unset( $aShortLinks[$sKey] );
      }
    } // end foreach
  }

  $aShortLinks[$sName] = Array( 'iType' => $iType, 'iLink' => $iLink, 'sLang' => LANGUAGE );
  $oFFS->saveData( DB_LINKS, $aShortLinks );
} // end function saveShortLink

/**
* Delete short link from database
* @return void
* @param mixed $mLink
* @param int $iType
*/
function deleteShortLink( $mLink, $iType ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aShortLinks = $oFFS->getData( DB_LINKS, true );
  if( isset( $aShortLinks ) && is_array( $aShortLinks ) && count( $aShortLinks ) > 0 ){
    $iLink = is_array( $mLink ) ? null : $mLink;
    foreach( $aShortLinks as $sKey => $aValue ){
      if( is_array( $mLink ) && isset( $mLink[$aValue['iLink']] ) && $iType == $aValue['iType'] )
        $iLink = $aValue['iLink'];

      if( $iType == $aValue['iType'] && $aValue['sLang'] == LANGUAGE && $aValue['iLink'] == $iLink ){
        unset( $aShortLinks[$sKey] );
        $bChanged = true;
      }
    } // end foreach
    if( isset( $bChanged ) )
      $oFFS->saveData( DB_LINKS, $aShortLinks );
  }
} // end function deleteShortLink

/**
* Delete short links by data
* @return void
* @param string $mData
*/
function deleteShortLinksByData( $mData, $bLang = null ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aShortLinks = $oFFS->getData( DB_LINKS, true );
  if( isset( $aShortLinks ) && is_array( $aShortLinks ) && count( $aShortLinks ) > 0 ){
    if( isset( $bLang ) ){
      foreach( $aShortLinks as $sKey => $aValue ){
        if( $mData == $aValue['sLang'] ){
          unset( $aShortLinks[$sKey] );
          $bChanged = true;
        }
      } // end foreach
    }
    else{
      if( isset( $aShortLinks[$mData] ) ){
        unset( $aShortLinks[$mData] );
        $bChanged = true;
      }
    }
    if( isset( $bChanged ) )
      $oFFS->saveData( DB_LINKS, $aShortLinks );
  }
} // end function deleteShortLinksByData

/**
* Return list of all links
* @return string
* @param string $sFile
*/
function listLinks( $sFile ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aShortLinks = $oFFS->getData( DB_LINKS, true );
  if( isset( $aShortLinks ) && is_array( $aShortLinks ) && count( $aShortLinks ) > 0 ){
    $oTpl = TplParser::getInstance( );
    $content = null;

    foreach( $aShortLinks as $sKey => $aValue ){
      if( $aValue['iType'] == 2 )
        $bProducts = true;
      else
        $bPages = true;

      if( $aValue['sLang'] != LANGUAGE ){
        $aLangs[$aValue['sLang']] = $aValue['iType'];
      }
    } // end foreach

    if( isset( $bProducts ) )
      $oProduct = ProductsAdmin::getInstance( );
    else
      $oPage = PagesAdmin::getInstance( );

    if( isset( $aLangs ) ){
      foreach( $aLangs as $sLang => $iType ){
        if( $iType == 2 ){
        }
        else{
          $sFileDb = str_replace( LANGUAGE.'_', $sLang.'_', DB_PAGES );
          if( is_file( $sFileDb ) ){
            $aData = $oFFS->getData( $sFileDb, true );
            foreach( $aData as $iKey => $aValue ){
              $aPages[$sLang][$aValue['iPage']] = $aValue['sName'];
            } // end foreach
          }
        }
      } // end foreach
    }

    $sSort = ( isset( $_GET['sSort'] ) && !empty( $_GET['sSort'] ) ) ? $_GET['sSort'] : 'link';
    $sFunction = 'sort';

    if( isset( $GLOBALS['sPhrase'] ) && !empty( $GLOBALS['sPhrase'] ) ){
      $aExp = explode( ' ', $GLOBALS['sPhrase'] );
      $iCount = count( $aExp );
      for( $i = 0; $i < $iCount; $i++ ){
        $aExp[$i] = trim( $aExp[$i] );
        if( !empty( $aExp[$i] ) )
          $aWords[] = $aExp[$i];
      } // end for
      $iCount = count( $aWords );
    }

    foreach( $aShortLinks as $sKey => $aValue ){
      $bMore = null;
      if( $aValue['iType'] == 2 ){
        $bMore = true;
      }
      else{
        if( ( isset( $oPage->aPages[$aValue['iLink']] ) && LANGUAGE == $aValue['sLang'] ) || isset( $aPages[$aValue['sLang']][$aValue['iLink']] ) ){
          $aShortLinks[$sKey]['sName'] = isset( $aPages[$aValue['sLang']][$aValue['iLink']] ) ? $aPages[$aValue['sLang']][$aValue['iLink']] : $oPage->aPages[$aValue['iLink']]['sName'];
          $bMore = true;
        }
      }

      if( isset( $bMore ) ){
        $aShortLinks[$sKey]['sLink'] = $sKey;
        if( isset( $aWords ) ){
          $iFound = 0;
          $bOk = null;
          $sSearchWords = $sKey.' '.$aShortLinks[$sKey]['sName'];
          for( $i = 0; $i < $iCount; $i++ ){
            if( stristr( $sSearchWords, $aWords[$i] ) )
              $iFound++;
          } // end for

          if( $iFound == $iCount ){
            $bOk = true;
          }
        }
        else
          $bOk = true;

        if( isset( $bOk ) ){
          if( $sSort == 'link' )
            $aSort[] = Array( $sKey, $sKey );
          elseif( $sSort == 'related' )
            $aSort[] = Array( $aShortLinks[$sKey]['sName'], $sKey );
          else
            $aSort[] = Array( $aValue['sLang'], $sKey );
        }
      }
    } // end foreach

    if( isset( $aSort ) ){
      $sFunction( $aSort );
      $iCount = count( $aSort );

      $aKeys = countPageNumber( $iCount, ( isset( $_GET['iPage'] ) ? $_GET['iPage'] : null ), $GLOBALS['config']['admin_list'] );
      
      for( $i = $aKeys['iStart']; $i < $aKeys['iEnd']; $i++ ){
        $aData = $aShortLinks[$aSort[$i][1]];
        $aData['iStyle'] = ( $i % 2 ) ? 0: 1;

        if( $aData['iType'] == 2 )
          $oTpl->setIf( 'PRODUCT' );
        else
          $oTpl->setIf( 'PAGE' );

        $oTpl->setIf( 'NORMAL' );
        $oTpl->setVariables( 'aData', $aData );
        $content .= $oTpl->tSubBlock( $sFile, 'LINKS', 'LIST' );
      } // end for

      $aData['sPages'] = countPagesClassic( $iCount, $GLOBALS['config']['admin_list'], $aKeys['iPageNumber'], changeUri( $_SERVER['REQUEST_URI'] ) );
      $oTpl->setVariables( 'aData', $aData );
      return $oTpl->tSubBlock( $sFile, 'LINKS', 'LIST', 'head' ).$content.$oTpl->tSubBlock( $sFile, 'LINKS', 'LIST', 'foot' );
    }
  }
} // end function listLinks
// END OF PLUGIN LICENSE RESTRICTIONS
?>