<?php
/*
* English - compatible v4.2
*/
$config['charset'] = 'utf-8';
?><?php
/*
* Translations visible in front-end and back-end. Must be translated!
*/
$lang['Visits_all_time'] = "All time";
$lang['cf_wrong_value'] = "Enter correct value";
$lang['cf_mail'] = "Enter e-mail address";
$lang['404_error'] = "Error 404 Not Found";
$lang['News'] = "News";
$lang['Pages'] = "Pages";
$lang['cf_no_word'] = "Please fill in all required fields";
$lang['Menu_3'] = "Products";
$lang['Skip_navigation'] = "Skip navigation";
$lang['cf_txt_to_short'] = "Text is too short";
$lang['Data_not_found'] = "The data could not be found";
$lang['Visits_today'] = "Today";
$lang['cf_to_small_value'] = "Value is too small";
$lang['Visits'] = "Visits";
$lang['back'] = "back";
$lang['print'] = "print";

/*
* Translations visible only in back-end. It does not require translation
*/
$lang['Subpage_show_1'] = "List (name, description)";
$lang['Subpage_show_2'] = "List (name, description, photo)";
$lang['Subpage_show_3'] = "News (name, description, photo)";
$lang['Subpage_show_4'] = "Gallery (name, picture)";
$lang['Page_prev'] = "« Previous";
$lang['Add_email_link'] = "Add Email Link";
$lang['Add_hyperlink'] = "Add Hyperlink";
$lang['Add_li'] = "Add List";
$lang['Add_files'] = "Add files";
$lang['Added_to'] = "Added to";
$lang['Admin'] = "Admin";
$lang['Admin_language'] = "Admin panel language";
$lang['Admin_see_hidden_pages'] = "Administrator is able to see hidden pages";
$lang['Advanced'] = "Advanced";
$lang['Align_center'] = "Align Center";
$lang['Align_left'] = "Align Left";
$lang['Align_right'] = "Align Right";
$lang['Operation_sure'] = "Are you sure you want to do this?";
$lang['Backup_list'] = "Backup files";
$lang['Banner'] = "Banner";
$lang['Bold'] = "Bold";
$lang['Page_break'] = "Break page";
$lang['Bug'] = "Bug";
$lang['Bug_from_version'] = "Bug from version";
$lang['Cant_check'] = "Can't check it";
$lang['Cancel'] = "Cancel";
$lang['Change_files_names'] = "Change files name to page name";
$lang['Change_login_and_pass'] = "Change login and password in configuration!";
$lang['Check_fixes'] = "Check for fixes";
$lang['Clone_data_from_basic_language'] = "Clone data from basic language";
$lang['Content_of'] = "Content of:";
$lang['Copy_files_from_server'] = "Copy files selected from server";
$lang['Use_language'] = "Create language using";
$lang['Dashboard'] = "Dashboard";
$lang['Date'] = "Date";
$lang['Default_language'] = "Default language";
$lang['Delete'] = "Delete";
$lang['Delete_unused_files'] = "Delete unused files from the server";
$lang['Description'] = "Description";
$lang['Display_expanded_menu'] = "Display expanded menu";
$lang['Display_all_files'] = "Display files from server in form";
$lang['Display_tabs'] = "Display tabs";
$lang['Display_text_size_option'] = "Display text size option";
$lang['Extended_options'] = "Display unavailable options";
$lang['Download_backup'] = "Download backup";
$lang['Upload_language_file_info'] = "Downloaded file from OpenSolution.org with '.php' extension";
$lang['Drop_down_menu'] = "Drop down menu";
$lang['Admin_items_on_page'] = "Elements per page in administration";
$lang['Size_plus'] = "Enlarge Size";
$lang['Enter_text_to_be_formatted'] = "Enter text to be formatted";
$lang['Operation_unknown'] = "Error: no action was taken";
$lang['Editions'] = "ExtendedÂ editions";
$lang['File'] = "File";
$lang['Files'] = "Files";
$lang['Fix_it'] = "Fix it!";
$lang['Fixed'] = "Fixed";
$lang['Foot_info'] = "Foot info";
$lang['Free_addons'] = "Free addons";
$lang['Full_description'] = "Full description";
$lang['Gallery'] = "Gallery";
$lang['Hide_tabs'] = "Hide tabs";
$lang['Id'] = "Id";
$lang['Wrong_login_or_pass'] = "Incorrect login or pass. Please try again";
$lang['Inherit_from_parents'] = "Inherit themes/templates from parent pages";
$lang['Italic'] = "Italic";
$lang['Key_words'] = "Keywords";
$lang['Language'] = "Language";
$lang['Language_in_url'] = "Language parameter in URL";
$lang['Languages'] = "Languages";
$lang['Last_login'] = "Last login";
$lang['Last_modified'] = "Last modified";
$lang['Enter_list_item'] = "Leave empty or click 'Cancel' to close list:";
$lang['Left'] = "Left";
$lang['Falied_login_wait_time'] = "Limit of failed login attempts exceed<br />Please try again after 15 minutes";
$lang['Links'] = "Links";
$lang['Login'] = "Login";
$lang['Manual'] = "Manual";
$lang['Menu'] = "Menu";
$lang['Meta_description'] = "Meta description";
$lang['Modified'] = "Modified";
$lang['Name'] = "Name";
$lang['Need_more'] = "Need more?";
$lang['New_line'] = "New Line";
$lang['New_events'] = "New events";
$lang['New_language'] = "New language";
$lang['New_page'] = "New page";
$lang['New_template'] = "New template";
$lang['News_from_os'] = "News from OpenSolution.org";
$lang['Page_next'] = "Next »";
$lang['Uncompleted'] = "Not finished";
$lang['On_server'] = "On server";
$lang['Operation_completed'] = "Operation ended successfully";
$lang['Options'] = "Options";
$lang['Pages_form'] = "Page form";
$lang['Page_title'] = "Page title";
$lang['Parent_page'] = "Parent page";
$lang['Password'] = "Password";
$lang['Photo_place'] = "Photo's place";
$lang['Position'] = "Position";
$lang['Address'] = "Redirect to URL";
$lang['Preview'] = "Preview";
$lang['Read_more'] = "Read more »";
$lang['Size_minus'] = "Reduce Size";
$lang['Related_with'] = "Related with";
$lang['Right'] = "Right";
$lang['SEO'] = "SEO";
$lang['Save'] = "Save";
$lang['See_demo'] = "See demo »";
$lang['Select'] = "Select";
$lang['Files_from_computer'] = "Select files from computer to upload";
$lang['Files_on_server'] = "Select files from server";
$lang['Enter_list_type'] = "Select list type. Type '1' for numeric list, type 'a' for alphanumeric list, or leave empty for point list:";
$lang['Settings'] = "Settings";
$lang['Short_description'] = "Short description";
$lang['Short_link'] = "Short link";
$lang['Size'] = "Size";
$lang['Skin'] = "Skin";
$lang['Slogan'] = "Slogan";
$lang['Start_page'] = "Start page";
$lang['Status'] = "Status";
$lang['Subpages'] = "Subpages";
$lang['Support'] = "Support";
$lang['Template'] = "Template";
$lang['Template_is_not_writable'] = "Template is not writeable, please change permissions to 777 to file";
$lang['Templates'] = "Templates";
$lang['Theme'] = "Theme";
$lang['Error_download_bugfixes_file'] = "There is problem to download bugfixes file.<br />Please try again after few minutes";
$lang['Thumbnail_1'] = "Thumbnail 1";
$lang['Thumbnail_2'] = "Thumbnail 2";
$lang['Tools'] = "Tools";
$lang['Menu_1'] = "Top menu - first";
$lang['Menu_2'] = "Top menu - second";
$lang['Translation_visible_all'] = "Translations visible in front-end and back-end. Must be translated!";
$lang['Translation_visible_back_end'] = "Translations visible only in back-end. It does not require translation";
$lang['Enter_link_url'] = "Type URL address for link:";
$lang['Enter_email_link'] = "Type email address for link:";
$lang['Underline'] = "Underline";
$lang['Upload_files'] = "Upload files";
$lang['Upload_language_file'] = "Upload language file";
$lang['Url_name'] = "Url name";
$lang['View'] = "View";
$lang['WYSWIG_editor'] = "WYSWIG editor";
$lang['Watermark'] = "Watermark";
$lang['Watermark_file'] = "Watermark file";
$lang['Yes'] = "Yes";
$lang['Yes_without_files'] = "Yes, without files";
$lang['dashboard'] = "dashboard";
$lang['delete'] = "delete";
$lang['edit'] = "edit";
$lang['log_in'] = "log in";
$lang['log_out'] = "log out";
$lang['no'] = "no";
$lang['Template_not_set'] = "no template set";
$lang['none'] = "none";
$lang['preview'] = "preview";
$lang['save'] = "save";
$lang['save_list'] = "save and go to the list";
$lang['search'] = "search";
$lang['yes'] = "yes";

/*
* Dont change below 
*/
if( !defined( 'LANG_YES_SHORT' ) )
  define( 'LANG_YES_SHORT', $lang['yes'] );
if( !defined( 'LANG_NO_SHORT' ) )
  define( 'LANG_NO_SHORT', $lang['no'] );
if( !defined( 'LANG_PAGE_PREV' ) )
  define( 'LANG_PAGE_PREV', $lang['Page_prev'] );
if( !defined( 'LANG_PAGE_NEXT' ) )
  define( 'LANG_PAGE_NEXT', $lang['Page_next'] );

/*
* Dont change CMS by Quick.Cms 
*/
$sLangFooter = "CMS by Quick.Cms";
?><?php
// plugins
$lang['Only_in_Ext_notice'] = 'This functionality is not included in this script.<br />You can get this functionality and much more if you will buy <a href="http://opensolution.org/?p=Quick.Cms_editions" target="_blank">Quick.Cms.Ext</a>';
?>