<?php
/*
* THIS FILE HAVE SOME RESTRICTIONS. GET MORE INFO HERE: read-me.txt
*/

// START OF PLUGIN LICENSE RESTRICTIONS - GET MORE INFO HERE: read-me.txt
/**
* Count visits and display
* @return array
*/
function simpleCounter( ){
  if( is_file( DB_COUNTER ) ){    
    $aFile = file( DB_COUNTER );
    if( isset( $aFile[1] ) && !empty( $aFile[1] ) ){
      $aExp = explode( '$', $aFile[1] );
      $sDate = date( 'Y-m-d' );
      $aVisits[0] = $aExp[0];
      $aVisits[1] = ( !empty( $aExp[2] ) && $aExp[2] == $sDate ) ? $aExp[1] : 0;
    }

    if( !preg_match('/'.$GLOBALS['config']['disable_agents'].'|^$/i', $_SERVER['HTTP_USER_AGENT'] ) && !isset( $_COOKIE['simpleCounter'] ) ){
      $sSave = '<?php exit; ?>'."\n";
      $rFile = fopen( DB_COUNTER, 'r+' );
      if( isset( $aVisits ) ){
        $aVisits[0]++;
        $aVisits[1]++;
      }
      else{
        $aVisits = Array( 1, 1 );
      }

      fwrite( $rFile, $sSave.$aVisits[0].'$'.$aVisits[1].'$'.date( 'Y-m-d' ).'$'."\n" );
      fclose( $rFile );
      setcookie( 'simpleCounter', true, time( ) + 7200 );
    }

    if( isset( $aVisits ) )
      return $aVisits;
    else
      return Array( 1, 1 );
  }
} // end function simpleCounter

/**
* List news to menu
* @return string
* @param string $sFile
* @param int    $iType
*/
function listSimpleNews( $sFile, $iType ){
  $iNewsLimit = 3;
  $oPage = Pages::getInstance( );

  if( !isset( $oPage->aPagesParentsTypes[$iType] ) )
    return null;

  $aPages = $oPage->aPagesParentsTypes[$iType];
  $iCount = count( $aPages );
  if( $iCount > $iNewsLimit )
    $iCount = $iNewsLimit;

  rsort( $aPages );
  $content= null;
  $oTpl = TplParser::getInstance( );

  for( $i = 0; $i < $iCount; $i++ ){
    $aData = $oPage->aPages[$aPages[$i]];
    $aData['iStyle'] = ( $i % 2 ) ? 0: 1;
    $aData['sStyle'] = ( $i == ( $iCount - 1 ) ) ? 'L': $i + 1;
    if( !empty( $aData['sDescriptionShort'] ) ){
      $aData['sDescriptionShort'] = changeTxt( $aData['sDescriptionShort'], 'nlNds' );
    }

    $oTpl->setVariables( 'aData', $aData );
    $content .= $oTpl->tSubBlock( $sFile, 'NEWS', 'LIST' );
  } // end for

  if( isset( $content ) )
    return $oTpl->tSubBlock( $sFile, 'NEWS', 'LIST', 'head' ).$content.$oTpl->tSubBlock( $sFile, 'NEWS', 'LIST', 'foot' );
} // end function listSimpleNews

/**
* Get link from url and change it to new
* @return string
*/
function getLinkFromShortLinks( ){
  require_once $GLOBALS['config']['dir_libraries'].'file-jobs.php';
  require_once $GLOBALS['config']['dir_libraries'].'flat-files.php';
  $oFFS = FlatFilesSerialize::getInstance( );
  $aShortLinks = $oFFS->getData( DB_LINKS, true );
  if( isset( $aShortLinks ) && is_array( $aShortLinks ) && count( $aShortLinks ) > 0 ){
    if( isset( $_GET ) && is_array( $_GET ) ){
      $aKeys = array_keys( $_GET );
      if( isset( $aKeys[0] ) && isset( $aShortLinks[$aKeys[0]] ) ){
        $aData = $_GET;
        foreach( $aData as $sKey => $sValue ){
          if( $aKeys[0] == $sKey ){
            if( $aShortLinks[$aKeys[0]]['iType'] == 2 )
              $sReplace = $aShortLinks[$aKeys[0]]['iLink'].','.$aKeys[0];
            else
              $sReplace = $aKeys[0].','.$aShortLinks[$aKeys[0]]['iLink'];
            $aNew[$sReplace] = '';
            //$_SERVER['REQUEST_URI'] = str_replace( '?'.$aKeys[0], '?'.$sReplace, $_SERVER['REQUEST_URI'] );
            $sReturn = $aShortLinks[$aKeys[0]]['sLang'];
          }
          else
            $aNew[$sKey] = $sValue;
        } // end foreach
        $_GET = $aNew;
      }
    }
  }
  if( isset( $sReturn ) )
    return $sReturn;
} // end function getLinkFromShortLinks

/**
* Returns all short links
* @return array
* @param int $iType
*/
function throwShortLinks( $iType = null ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aShortLinks = $oFFS->getData( DB_LINKS, true );
  if( isset( $aShortLinks ) && is_array( $aShortLinks ) && count( $aShortLinks ) > 0 ){
    if( isset( $iType ) ){
      foreach( $aShortLinks as $sKey => $aValue ){
        if( $iType == $aValue['iType'] && $aValue['sLang'] == LANGUAGE ){
          $aReturn[$aValue['iLink']] = $sKey;
        }
      } // end foreach
      if( isset( $aReturn ) )
        return $aReturn;
    }
    else
      return $aShortLinks;
  }
} // end function throwShortLinks
// END OF PLUGIN LICENSE RESTRICTIONS
?>